// ========================================================
//
// Pitores texture pack
// by Sjoerd "Hourences" De Jong
// Shaders for W:ET
//
// ========================================================

textures/aciz_pitores/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.6 0.9 1.0 ) 16384
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/aciz_pitores/arch2
{
	qer_editorimage textures/hour_pitores/arch2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/arch2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/arch2b
{
	qer_editorimage textures/hour_pitores/arch2b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/arch2b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/decotent1
{
	qer_alphaFunc gequal 0.5
	surfaceparm carpetsteps
	cull none
	{
		map textures/aciz_pitores/decotent1.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/aciz_pitores/decotent1b
{
	qer_alphaFunc gequal 0.5
	surfaceparm carpetsteps
	cull none
	{
		map textures/aciz_pitores/decotent1b.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/aciz_pitores/Door1
{
	qer_editorimage textures/hour_pitores/Door1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/Door1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/flag1_a
{
	qer_alphaFunc gequal 0.5
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	deformVertexes wave 256 sin 1 0.25 0.5 0.33
	cull none
	{
		map textures/aciz_pitores/flag1_a.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/aciz_pitores/flag1b_a
{
	qer_alphaFunc gequal 0.5
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	deformVertexes wave 256 sin 1 0.25 0.2 0.33
	cull none
	{
		map textures/aciz_pitores/flag1b_a.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/aciz_pitores/floor1
{
	qer_editorimage textures/hour_pitores/floor1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/floor1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/glass_a
{
	qer_trans 0.5
	surfaceparm glass
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	{
		map textures/aciz_pitores/glass_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
}

textures/aciz_pitores/grass1
{
	qer_editorimage textures/hour_pitores/grass1.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/grass1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/grint
{
	qer_editorimage textures/hour_pitores/grint.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	surfaceparm gravelsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/grint.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/haag1
{
	qer_editorimage textures/hour_pitores/haag1.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/haag1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/kiezelsteenh1
{
	qer_editorimage textures/hour_pitores/kiezelsteenh1.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/kiezelsteenh1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/lamp1
{
	qer_editorimage textures/hour_pitores/lamp1.jpg
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/lamp1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/lamp1_blue
{
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aciz_pitores/lamp1_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/lamp1_yellow
{
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aciz_pitores/lamp1_yellow.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal1
{
	qer_editorimage textures/hour_pitores/metal1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal10
{
	qer_editorimage textures/hour_pitores/metal10.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal10.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal10b
{
	qer_editorimage textures/hour_pitores/metal10b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal10b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal11
{
	qer_editorimage textures/hour_pitores/metal11.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal11.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal11b
{
	qer_editorimage textures/hour_pitores/metal11b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal11b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal12
{
	qer_editorimage textures/hour_pitores/metal12.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal12.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal12b
{
	qer_editorimage textures/hour_pitores/metal12b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal12b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal2
{
	qer_editorimage textures/hour_pitores/metal2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal2b
{
	qer_editorimage textures/hour_pitores/metal2b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal2b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal3
{
	qer_editorimage textures/hour_pitores/metal3.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal5
{
	qer_editorimage textures/hour_pitores/metal5.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal5b
{
	qer_editorimage textures/hour_pitores/metal5b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal6
{
	qer_editorimage textures/hour_pitores/metal6.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal6.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal8
{
	qer_editorimage textures/hour_pitores/metal8.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal8.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal8b
{
	qer_editorimage textures/hour_pitores/metal8b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal8b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal9
{
	qer_editorimage textures/hour_pitores/metal9.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal9.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/metal9b
{
	qer_editorimage textures/hour_pitores/metal9b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal9b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/panel1
{
	qer_editorimage textures/hour_pitores/panel1.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/panel1b
{
	qer_editorimage textures/hour_pitores/panel1b.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel1b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/panel2
{
	qer_editorimage textures/hour_pitores/panel2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/panel3
{
	qer_editorimage textures/hour_pitores/panel3.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/rock1
{
	qer_editorimage textures/hour_pitores/rock1.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/rock1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/rocknew1
{
	qer_editorimage textures/hour_pitores/rocknew1.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/rocknew1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/rocknew2
{
	qer_editorimage textures/hour_pitores/rocknew2.jpg
	q3map_nonPlanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/rocknew2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim1
{
	qer_editorimage textures/hour_pitores/trim1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim1b
{
	qer_editorimage textures/hour_pitores/trim1b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim1b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim2
{
	qer_editorimage textures/hour_pitores/trim2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim3
{
	qer_editorimage textures/hour_pitores/trim3.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim4
{
	qer_editorimage textures/hour_pitores/trim4.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/trim5
{
	qer_editorimage textures/hour_pitores/trim5.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/wood2
{
	qer_editorimage textures/hour_pitores/wood2.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/wood3
{
	qer_editorimage textures/hour_pitores/wood3.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/wood3b
{
	qer_editorimage textures/hour_pitores/wood3b.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood3b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/wood5
{
	qer_editorimage textures/hour_pitores/wood5.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/aciz_pitores/wood5b
{
	qer_editorimage textures/hour_pitores/wood5b.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
