textures/custommap/jumppad_base
{
	qer_editorimage textures/custommap/jumppad.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custommap/jumppad.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/custommap/jumppad_glow
{
	qer_editorimage textures/custommap/jumppad_glow.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	deformVertexes wave 256 sin 0.0 1 0.0 0.5
	{
		clampMap textures/custommap/jumppad_glow.jpg
		rgbGen wave sin 1.0 0.2 0.0 1.0
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/custommap/jumppad_glow.jpg
		rgbGen wave sin 1.0 0.3 0.33 0.5
		tcMod rotate 80
		tcMod turb 0.0 0.02 0.0 0.33
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/custommap/jumppad_glow.jpg
		rgbGen wave sin 1.0 0.4 0.6 0.33
		tcMod rotate -50
		tcMod turb 0.0 0.01 0.25 0.33
		blendFunc GL_ONE GL_ONE
	}
}

textures/custommap/ice
{
  qer_editorimage textures/custommap/ice_01.tga
  qer_trans 0.8
  q3map_tessSize 256
  q3map_surfacelight 25
  q3map_surfaceModel models/custommap/ice_haze.md3 64 0.8 0.2 0.4 0 359 1
  surfaceparm slick
  surfaceparm trans
  surfaceparm glass
  surfaceparm alphashadow
  cull none
  {
    map textures/effects/envmap_ice2.tga
    tcgen environment
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
    depthWrite
  }
  {
    map textures/custommap/ice_01.tga
    tcMod scale 2 2
    blendFunc GL_ONE GL_ONE
    rgbGen identity
  }
  {
    map textures/custommap/ice_01.tga
    tcMod scale 2 2
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
  {
    map $lightmap
    blendfunc filter
    rgbGen identity
  }
}

textures/custommap/ice_nohaze
{
  qer_editorimage textures/custommap/editor/ice_nohaze.tga
  qer_trans 0.8
  q3map_tessSize 256
  q3map_surfacelight 25
  surfaceparm slick
  surfaceparm trans
  surfaceparm glass
  surfaceparm alphashadow
  cull none
  {
    map textures/effects/envmap_ice2.tga
    tcgen environment
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
    depthWrite
  }
  {
    map textures/custommap/ice_01.tga
    tcMod scale 2 2
    blendFunc GL_ONE GL_ONE
    rgbGen identity
  }
  {
    map textures/custommap/ice_01.tga
    tcMod scale 2 2
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
  {
    map $lightmap
    blendfunc filter
    rgbGen identity
  }
}

textures/custommap/ice_haze
{
  qer_editorimage textures/sfx/construction.tga
  surfaceparm nonsolid
  surfaceparm nolightmap
  surfaceparm trans
  cull none
  deformVertexes wave 64 sin 1.0 2.0 0.0 0.2
  {
    map textures/sfx/construction.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen const 0.1
    tcMod scroll 0.1 0.05
    rgbGen vertex
  }
}

textures/custommap/teleport_red
{
  qer_editorimage textures/custommap/editor/teleport_red.tga
  q3map_surfacelight 50
  surfaceparm trans
  surfaceparm metalsteps
  {
    map textures/hour_pitores/metal9.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
  {
    map textures/custommap/teleport_red_01.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.18 0.68 0.51 0.93
  }
  {
    map textures/custommap/teleport_red_02.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.15 0.49 0.72 0.71
  }
  {
    map textures/custommap/teleport_red_03.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.13 0.48 0.88 0.80
  }
  {
    map textures/custommap/teleport_red_04.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.28 0.14 0.39 0.90
  }
  {
    map textures/custommap/teleport_red_05.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.24 0.33 0.12 0.74
  }
}